gr::gfdm::resource_demapper_cc Class Reference

Demap info symbols from GFDM frame. More...

`#include <resource_demapper_cc.h>`

Inheritance diagram for gr::gfdm::resource_demapper_cc:
[legend]

## Public Types

typedef boost::shared_ptr< resource_demapper_cc > | sptr

## Static Public Member Functions

static sptr | make (int timeslots, int subcarriers, int active_subcarriers, std::vector< int > subcarrier_map, bool per_timeslot)
| Return a shared_ptr to a new instance of gfdm::resource_demapper_cc.

## Detailed Description

Demap info symbols from GFDM frame.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<resource_demapper_cc> gr::gfdm::resource_demapper_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::resource_demapper_cc::make | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::resource_demapper_cc.

To avoid accidental use of raw pointers, gfdm::resource_demapper_cc's constructor is in a private implementation class. gfdm::resource_demapper_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- resource_demapper_cc.h